<div class="absolute inset-0 flex flex-col min-w-0 overflow-hidden">
    <div class="w-full bg-center bg-opacity-20 relative h-screen">
        <!-- Watermark Text Container -->
        <div class="absolute inset-0 flex items-center item-start text-red-500 text-opacity-20">
            <!-- Apply a 45-degree rotation and repeat the text -->
            <!-- <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 0;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 400px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 800px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 1200px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 1600px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 0;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 400px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 800px;">
                Your Watermark Text
            </p>
            <p class="text-1xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 1200px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 1600px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 800px; left: 0;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 800px; left: 400px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 800px; left: 800px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 800px; left: 1200px;">
                Your Watermark Text
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 800px; left: 1600px;">
                Your Watermark Text
            </p> -->
        </div>
    </div>
    <!-- Main -->
    <!--     <div class="flex flex-auto overflow-hidden">
        <router-outlet></router-outlet>
    </div> -->
    <div class="flex flex-auto w-full">
        <!-- side control panel -->
        <div class="flex-col w-90 h-screen bg-slate-200 p-2">
            <!-- search cid panel -->
            <span>ค้นหาประวัติจากบัตรประชาชน</span>
            <div class="flex-row w-full mb-2">
                <div class="mp-2">
                    <mat-form-field class="fuse-mat-rounded fuse-mat-dense w-full" [subscriptSizing]="'dynamic'">
                        <mat-icon matPrefix class="icon-size-5"
                            [svgIcon]="'heroicons_solid:magnifying-glass'"></mat-icon>
                        <input matInput [autocomplete]="'off'" [placeholder]="'Search or start new chat'"
                            (keyup.enter)="search_cid(searchField.value)" #searchField>
                    </mat-form-field>
                </div>
            </div>
            <!-- end search cid panel -->
            <!-- select hospital -->

            <!-- Summary -->
            <div class="flex flex-col flex-auto p-4 bg-card shadow rounded-2xl overflow-hidden mb-2 h-48">
                <div class="flex items-start justify-between">
                    <div class="text-lg font-medium tracking-tight leading-6 truncate">หน่วยบริการ</div>
                </div>
                <div class="flex flex-col">
                    <div class="flex-col h-48 bg-white p-2 overflow-y-auto">
                        <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                            <div *ngIf="hospitals.length == 0">ไม่พบข้อมูล</div>
                            <div *ngFor="let hosp of hospitals" class>
                                <div *ngIf="select_hospcode == hosp.hospcode"
                                    class="text-black cursor-pointer bg-teal-200 select-none"
                                    (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                                <div *ngIf="select_hospcode != hosp.hospcode"
                                    class="text-black cursor-pointer hover:bg-teal-100 select-none"
                                    (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                            </div>
                        </div>
                    </div>
                    <!-- <div class="text-7xl sm:text-8xl font-bold tracking-tight leading-none text-blue-500">21</div>
                    <div class="text-lg font-medium text-blue-600 dark:text-blue-500">Due Tasks</div>
                    <div class="flex items-baseline justify-center w-full mt-5 text-secondary">
                        <div class="text-md font-medium truncate">Completed:</div>
                        <div class="ml-1.5 text-lg font-semibold">13</div>
                    </div> -->
                </div>
            </div>

            <div class="flex flex-col flex-auto p-4 bg-card shadow rounded-2xl overflow-hidden mb-2 h-48">
                <div class="flex items-start justify-between">
                    <div class="text-lg font-medium tracking-tight leading-6 truncate">วันที่มารับบริการ</div>
                </div>
                <div class="flex flex-col">
                    <div class="flex-col h-48 bg-white p-2 overflow-y-auto">
                        <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                            <div *ngIf="visits.length == 0">ไม่พบข้อมูล</div>
                            <div *ngFor="let v of visits" class>
                                <div *ngIf="select_visit == v.vn"
                                    class="text-black cursor-pointer bg-teal-200 select-none" (click)="search_visit(v)">
                                    {{v.clinic}}: ({{v.date}} {{v.time}})</div>
                                <div *ngIf="select_visit != v.vn"
                                    class="text-black cursor-pointer hover:bg-teal-100 select-none"
                                    (click)="search_visit(v)">{{v.clinic}}: ({{v.date}} {{v.time}})</div>
                            </div>
                        </div>
                    </div>
                    <!-- <div class="text-7xl sm:text-8xl font-bold tracking-tight leading-none text-blue-500">21</div>
                    <div class="text-lg font-medium text-blue-600 dark:text-blue-500">Due Tasks</div>
                    <div class="flex items-baseline justify-center w-full mt-5 text-secondary">
                        <div class="text-md font-medium truncate">Completed:</div>
                        <div class="ml-1.5 text-lg font-semibold">13</div>
                    </div> -->
                </div>
            </div>



            <!-- Github issues summary -->


            <!-- <div class=" bg-blue-200 p-2">หน่วยบริการ</div>
            <div class="flex-col h-48 bg-white p-2 overflow-y-auto">
                <div *ngIf="hospitals.length == 0">ไม่พบข้อมูล</div>
                <div *ngFor="let hosp of hospitals" class>
                    <div *ngIf="select_hospcode == hosp.hospcode"
                        class="text-black cursor-pointer bg-teal-200 select-none"
                        (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                    <div *ngIf="select_hospcode != hosp.hospcode"
                        class="text-black cursor-pointer hover:bg-teal-100 select-none"
                        (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                </div>
            </div> -->
            <!-- end select hospital -->
            <!-- search visit date panel -->
            <!-- <div class=" bg-blue-200 p-2 mt-2">วันที่มารับบริการ</div>

            <div class="flex-col h-48 bg-white p-2 overflow-y-auto">
                <div *ngIf="visits.length == 0">ไม่พบข้อมูล</div>
                <div *ngFor="let v of visits" class>
                    <div *ngIf="select_visit == v.vn" class="text-black cursor-pointer bg-teal-200 select-none"
                        (click)="search_visit(v)">{{v.clinic}}: ({{v.date}} {{v.time}})</div>
                    <div *ngIf="select_visit != v.vn" class="text-black cursor-pointer hover:bg-teal-100 select-none"
                        (click)="search_visit(v)">{{v.clinic}}: ({{v.date}} {{v.time}})</div>
                </div>

            </div> -->
            <!-- end search visit date panel -->
        </div>
        <!-- end side control panel -->

        <!-- main content -->
        <div class="flex flex-col w-full">

            <div class="bg-card mb-1">
                <div class="flex flex-col w-full max-w-screen-xl mx-auto px-4 sm:px-4">
                    <div class="flex flex-col sm:flex-row flex-auto sm:items-center min-w-0 my-6 sm:my-10">
                        <!-- Avatar and name -->
                        <div class="flex flex-auto items-center min-w-0">
                            <div class="flex-0 w-16 h-16 rounded-full overflow-hidden">
                                <img class="w-full h-full object-cover" src="assets/images/avatars/brian-hughes.jpg">
                            </div>
                            <div class="flex flex-col min-w-0 ml-4">
                                <div
                                    class="text-2xl md:text-4xl font-semibold tracking-tight leading-7 md:leading-snug truncate mb-2">
                                    {{patient.first_name}} {{patient.last_name}}</div>
                                <div class="flex items-center mb-1">
                                    <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:bell'"></mat-icon>
                                    <div class="ml-1.5 leading-6 truncate text-secondary">
                                        <span class="text-2xl content-center pr-2"> เพศ {{patient.sex}} สิทธิ์การรักษา
                                            {{patient.pttype_name}}</span>
                                        <span class="text-2xl content-center pr-2">วันที่มารับบริการ
                                            {{selected_dateserv}} เวลา
                                            {{selected_timeserv }} คลินิก {{selected_namecln}} </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- <div class="flex flex-auto items-center min-w-0">
                            <div class="flex-0 w-16 h-16 rounded-full overflow-hidden">
                                <img class="w-full h-full object-cover" src="assets/images/avatars/brian-hughes.jpg">
                            </div>
                            <div class="flex flex-col min-w-0 ml-4">
                                <div
                                    class="text-3xl md:text-3xl font-semibold tracking-tight leading-7 md:leading-snug truncate">
                                    {{patient.first_name}} {{patient.last_name}}</div>
                                <div class="flex items-center">
                                    <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:bell'"></mat-icon>

                                    <div class="ml-1.5 leading-6 truncate text-secondary">
                                        <span class="text-2xl content-center pr-2"> เพศ {{patient.sex}} สิทธิ์การรักษา
                                            {{patient.pttype_name}}</span>
                                        <span class="text-2xl content-center pr-2">วันที่มารับบริการ
                                            {{selected_dateserv}} เวลา
                                            {{selected_timeserv }} คลินิก {{selected_namecln}} </span>
                                    </div>
                                </div>
                            </div>
                        </div> -->
                    </div>
                    <div
                        class="relative flex self-start pt-2 pb-1 pl-5 pr-4 cursor-pointer overflow-hidden rounded-t-xl border border-b-0 bg-default">
                        <div class="flex items-center">
                            <div class="overflow-hidden">
                                <div class="font-medium leading-6 truncate">ประวัติการักษา</div>
                            </div>
                            <div class="flex items-center justify-center pl-2">
                                <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:chevron-down'"></mat-icon>
                            </div>
                        </div>

                    </div>
                </div>
            </div>




            <!-- patient info -->
            <!-- <div class="flex flex-row h-fit p-2 w-full border-b-2 border-indigo-500">

                <div class="flex flex-row w-full">
                    <div class="flex flex-row bg-blue-100 items-center justify-items-center">
                        <span class="mr-4">
                            <img class="w-16 h-16 rounded-full" src="assets/images/avatars/male-01.jpg" alt="profile">
                        </span>
                        <span class="text-3xl content-center pr-2">{{patient.first_name}} นามสกุล {{patient.last_name}}
                        </span>
                        <span class="text-3xl content-center pr-2"> เพศ {{patient.sex}} สิทธิ์การรักษา
                            {{patient.pttype_name}}</span>
                        <span class="text-3xl content-center pr-2">วันที่มารับบริการ {{selected_dateserv}} เวลา
                            {{selected_timeserv }} คลินิก {{selected_namecln}} </span>

                    </div>

                </div>

            </div> -->

            <!-- end patient info -->

            <!-- Main -->
            <div class="flex-auto border-t -mt-px pt-4 sm:pt-2">
                <div class="w-full max-w-screen-xl mx-auto">
                    <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-4 gap-6 w-full min-w-0">
                        <!-- Task distribution -->
                        <div class="sm:col-span-2 md:col-span-4 lg:col-span-2 flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                            <div class="flex flex-col flex-auto h-64 overflow-y-auto">
                                <div class="h-full">
                                <div class="w-full"><span class="font-bold">CC:</span> {{cc}}</div>
                                <div class="w-full"><span class="font-bold">PI:</span> {{pi}}</div>
                                <div class="w-full"><span class="font-bold">PH:</span> {{ph}}</div>
                                <div class="w-full"><span class="font-bold">PE:</span> {{pe}}</div>
                                <div class="w-full ">
                                    <span class="font-bold">V/S:</span>
                                    <span class="mx-1">BW: {{wt}} kg</span>
                                    <span class="mx-1">ส่วนสูง: {{ht}} cm</span>
                                    <span class="mx-1">Temp: {{bt}} c</span>
                                    <span class="mx-1">BP: {{sbp}}/{{dbp}} mmHg</span>
                                    <span class="mx-1">PR: {{pr}} /min</span>
                                    <span class="mx-1">RR: {{rr}} /min</span>
                                    <span class="mx-1">BMI: {{bmi}} /min</span>
                                    <span class="mx-1">o2sat: {{o2sat}} /min</span>
                                    <span class="mx-1">eye_score: {{eye_score}} /min</span>
                                    <span class="mx-1">gcs_score: {{gcs_score}} /min</span>
                                </div>

                                <hr>
                                <div class="w-full">
                                    <span class="font-bold">ประวัติการได้ยา: </span><br>
                                    <button mat-icon-button (click)="change_layout()"
                                        class="mr-2 bg-rose-300">
                                        <mat-icon *ngIf="!is_admit" class="text-white"
                                            svgIcon="heroicons_solid:clipboard-document-list"></mat-icon>
                                        <mat-icon *ngIf="is_admit" class="text-white"
                                            svgIcon="heroicons_solid:view-columns"></mat-icon>
                                    </button>
                                </div>
                                </div>
                            </div>
                        </div>

                        <div class="sm:col-span-2 md:col-span-4 lg:col-span-2 flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                            <div class="flex flex-col flex-auto h-64 overflow-y-auto">
                                <div class="h-full">
                                <!-- <div class="lg:w-2/3 md:w-1/2 sm:w-full max-h-screen overflow-y-auto"> -->
                                    <!-- diagnosis -->
                                    <div class="flex-col w-full mt-2 px-1">
                                        <div class="bg-teal-200">
                                            <span class="pl-4 text-lg font-bold">Diagnosis: </span>
                                        </div>
                                        <div *ngFor="let d of diagnosis">
                                            <div class="flex flex-row">
                                                <div class="w-1/4 pl-4">{{d.icd_code}}</div>
                                                <div class="w-full pl-4">{{d.icd_name}}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- end diagnosis -->
                
                                    <!-- is opd display -->
                                    <div *ngIf="!is_admit" class="w-full">
                                        <!-- drugs info -->
                                        <div class="flex flex-col w-full mt-2 px-1">
                                            <!-- <div class="pl-4 text-lg font-bold bg-green-200 text-center">ข้อมูลยา</div> -->
                                            <div class="bg-teal-200">
                                                <span class="pl-4 text-lg font-bold">ข้อมูลยา: </span>
                                            </div>
                                            <div class="flex flex-row bg-green-100 p-1">
                                                <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                                <div class="w-1/2 font-bold">รายการยา</div>
                                                <div class="w-1/2 font-bold">วิธีใช้</div>
                                                <div class="w-1/4 font-bold">จำนวน</div>
                                            </div>
                                            <div *ngFor="let rx of drugs">
                                                <div class="flex flex-row">
                                                    <div class="w-1/4 pl-4">{{rx.date_serv}} {{rx.time_serv}}</div>
                                                    <div class="w-1/2 ">{{rx.drug_name}}</div>
                                                    <div class="w-1/2">{{rx.drug_usage}}</div>
                                                    <div class="w-1/4">{{rx.qty}}</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end drugs info -->
                                        <!-- lab info -->
                                        <div class="flex flex-col w-full  mt-2 px-1">
                                            <!-- <div class="pl-4 text-lg font-bold bg-yellow-200 text-center">ข้อมูลผลการตรวจห้องปฏิบัติการ</div> -->
                                            <div class="bg-teal-200">
                                                <span class="pl-4 text-lg font-bold">ข้อมูลผลการตรวจห้องปฏิบัติการ: </span>
                                            </div>
                                            <div class="flex flex-row  bg-yellow-100 p-1">
                                                <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                                <div class="w-1/4 font-bold">รายการ</div>
                                                <div class="w-1/4 font-bold">ผล</div>
                                                <div class="w-1/4 font-bold">Normal</div>
                                            </div>
                                            <div *ngFor="let l of labs">
                                                <div class="flex flex-row">
                                                    <!-- <div class="w-1/4 pl-2">{{l.date}} {{l.time}}</div> -->
                                                    <div class="w-1/4 pl-2">{{l.date_serv}} {{l.time_serv}}</div>
                                                    <div class="w-1/4">{{l.lab_name}}</div>
                                                    <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                    <div class="w-1/4">{{l.standard_result}}</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end lab info -->
                                        <!-- Xray -->
                                        <div class="flex-col w-full mt-2 px-1">
                                            <div class="bg-teal-200">
                                                <span class="pl-4 text-lg font-bold">ข้อมูลการตรวจรังสี: </span>
                                            </div>
                                            <div class="flex flex-row  bg-blue-200 p-1">
                                                <div class="w-1/2 pl-4">วันที่</div>
                                                <div class="w-1/2">รายการ</div>
                                            </div>
                                            <div *ngFor="let x of xrays">
                                                <div class="flex flex-row">
                                                    <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                    <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end xray -->
                                        <!-- procedure info -->
                                        <div class="flex flex-col w-full mt-2 px-1">
                                            <!-- <div class="pl-4 text-lg font-bold bg-blue-200 text-center">ข้อมูลหัตถการ</div> -->
                                            <div class="bg-teal-200">
                                                <span class="pl-4 text-lg font-bold">ข้อมูลหัตถการ: </span>
                                            </div>
                                            <div class="flex flex-row  bg-blue-200 p-1">
                                                <div class="w-1/4 pl-4">วันเวลา</div>
                                                <div class="w-1/4">รหัส</div>
                                                <div class="w-1/2">รายการ</div>
                                            </div>
                                            <div *ngFor="let p of procedures">
                                                <div class="flex flex-row">
                                                    <div class="w-1/4">{{p.start_date}} {{p.start_time}}</div>
                                                    <div class="w-1/4">{{p.procedure_code}}</div>
                                                    <div class="w-1/2">{{p.procedure_name}}</div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end procedure info -->
                                    </div>
                
                                    <!-- end is opd display -->
                                    <!-- treatment -->
                                    <div *ngIf="is_admit" class="w-full">
                                        <!-- Tabs -->
                                        <mat-tab-group class="sm:px-2" mat-stretch-tabs="false" [animationDuration]="'0'">
                                            <!-- Tab Drugs-->
                                            <mat-tab label="ยา">
                                                <div class="flex flex-col w-full">
                                                    <div class="flex flex-row bg-green-100 p-1">
                                                        <div class="w-1/4 pl-4 font-bold">วัน</div>
                                                        <div class="w-1/4 pl-4 font-bold">เวลา</div>
                                                        <div class="w-1/2 font-bold">รายการยา</div>
                                                        <div class="w-1/2 font-bold">วิธีใช้</div>
                                                        <div class="w-1/4 font-bold">จำนวน</div>
                                                    </div>
                                                    <div *ngFor="let rx of drugs">
                                                        <div class="flex flex-row">
                                                            <div class="w-1/4 pl-4">{{rx.date_serv}}</div>
                                                            <div class="w-1/4">{{rx.time_serv}}</div>
                                                            <div class="w-1/2">{{rx.drug_name}}</div>
                                                            <div class="w-1/2">{{rx.drug_usage}}</div>
                                                            <div class="w-1/4">{{rx.qty}}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </mat-tab>
                                            <!-- end Tab Drugs-->
                
                                            <!-- Tab Lab-->
                                            <mat-tab label="Lab">
                                                <div class="flex flex-col w-full">
                                                    <div class="flex flex-row  bg-yellow-100 p-1">
                                                        <div class="w-1/4 font-bold">วันที่</div>
                                                        <div class="w-1/4 font-bold">เวลา</div>
                                                        <div class="w-1/4 font-bold">รายการ</div>
                                                        <div class="w-1/4 font-bold">ผล</div>
                                                        <div class="w-1/4 font-bold">Normal</div>
                                                    </div>
                                                    <div *ngFor="let l of labs">
                                                        <div class="flex flex-row">
                                                            <!-- <div class="w-1/4 pl-2">{{l.date}} {{l.time}}</div> -->
                                                            <div class="w-1/4">{{l.date_serv}}</div>
                                                            <div class="w-1/4">{{l.time_serv}}</div>
                                                            <div class="w-1/4">{{l.lab_name}}</div>
                                                            <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                            <div class="w-1/4">{{l.standard_result}}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </mat-tab>
                                            <!-- end Tab Lab-->
                
                                            <!-- Tab Procedure-->
                                            <mat-tab label="หัตถการ">
                                                <div class="flex flex-col w-full">
                                                    <div class="flex flex-row  bg-blue-200 p-1">
                                                        <div class="w-1/2">วันที่</div>
                                                        <div class="w-1/2">เวลา</div>
                                                        <div class="w-1/2">รหัส</div>
                                                        <div class="w-1/2">รายการ</div>
                                                    </div>
                                                    <div *ngFor="let p of procedures">
                                                        <div class="flex flex-row">
                                                            <div class="w-1/2">{{p.start_date}}</div>
                                                            <div class="w-1/2">{{p.start_time}}</div>
                                                            <div class="w-1/2">{{p.procedure_code}}</div>
                                                            <div class="w-1/2">{{p.procedure_name}}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </mat-tab>
                                            <!-- end Tab Procedure-->
                
                                            <!-- Tab Xray -->
                                            <mat-tab label="X-Ray">
                                                <div class="flex-col w-full mt-2 px-1">
                                                    <div class="flex flex-row  bg-blue-200 p-1">
                                                        <div class="w-1/2">วันที่</div>
                                                        <div class="w-1/2">รายการ</div>
                                                    </div>
                                                    <div *ngFor="let x of xrays">
                                                        <div class="flex flex-row">
                                                            <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                            <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </mat-tab>
                                            <!-- end Tab Xray -->
                
                                        </mat-tab-group>
                                        <!-- end tabs-->
                                    </div>
                                <!-- </div> -->
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- visit info -->
            <!-- <div class="flex flex-row w-full "> -->

                <!-- <div class="flex-auto border-t -mt-px pt-4 sm:pt-6">
                    <div class="w-full max-w-screen-xl mx-auto">
                        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-4 gap-6 w-full min-w-0">
                            <div
                                class="sm:col-span-2 md:col-span-4 flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                                <div class="flex flex-col sm:flex-row items-start justify-between">
                                    <div class="text-lg font-medium tracking-tight leading-6 truncate">Github Issues
                                        Summary
                                    </div>
                                    <div class="mt-3 sm:mt-0 sm:ml-2">
                                        <div class="lg:w-1/3 md:w-1/2 sm:w-full h-80 overflow-y-auto p-2">
                                            <div class="w-full"><span class="font-bold">CC:</span> {{cc}}</div>
                                            <div class="w-full"><span class="font-bold">PI:</span> {{pi}}</div>
                                            <div class="w-full"><span class="font-bold">PH:</span> {{ph}}</div>
                                            <div class="w-full"><span class="font-bold">PE:</span> {{pe}}</div>
                                            <div class="w-full ">
                                                <span class="font-bold">V/S:</span>
                                                <span class="mx-1">BW: {{wt}} kg</span>
                                                <span class="mx-1">ส่วนสูง: {{ht}} cm</span>
                                                <span class="mx-1">Temp: {{bt}} c</span>
                                                <span class="mx-1">BP: {{sbp}}/{{dbp}} mmHg</span>
                                                <span class="mx-1">PR: {{pr}} /min</span>
                                                <span class="mx-1">RR: {{rr}} /min</span>
                                                <span class="mx-1">BMI: {{bmi}} /min</span>
                                                <span class="mx-1">o2sat: {{o2sat}} /min</span>
                                                <span class="mx-1">eye_score: {{eye_score}} /min</span>
                                                <span class="mx-1">gcs_score: {{gcs_score}} /min</span>
                                            </div>

                                            <hr>
                                            <div class="w-full">
                                                <span class="font-bold">ประวัติการได้ยา: </span><br>
                                                <button mat-icon-button (click)="change_layout()"
                                                    class="mr-2 bg-rose-300">
                                                    <mat-icon *ngIf="!is_admit" class="text-white"
                                                        svgIcon="heroicons_solid:clipboard-document-list"></mat-icon>
                                                    <mat-icon *ngIf="is_admit" class="text-white"
                                                        svgIcon="heroicons_solid:view-columns"></mat-icon>
                                                </button>

                                            </div>
                                            <hr>
                                            <div class="w-full">
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> -->


                <!-- infomation -->
                <!-- <div class="lg:w-1/3 md:w-1/2 sm:w-full h-80 overflow-y-auto p-2">
                    <div class="w-full"><span class="font-bold">CC:</span> {{cc}}</div>
                    <div class="w-full"><span class="font-bold">PI:</span> {{pi}}</div>
                    <div class="w-full"><span class="font-bold">PH:</span> {{ph}}</div>
                    <div class="w-full"><span class="font-bold">PE:</span> {{pe}}</div>
                    <div class="w-full ">
                        <span class="font-bold">V/S:</span>
                        <span class="mx-1">BW: {{wt}} kg</span>
                        <span class="mx-1">ส่วนสูง: {{ht}} cm</span>
                        <span class="mx-1">Temp: {{bt}} c</span>
                        <span class="mx-1">BP: {{sbp}}/{{dbp}} mmHg</span>
                        <span class="mx-1">PR: {{pr}} /min</span>
                        <span class="mx-1">RR: {{rr}} /min</span>
                        <span class="mx-1">BMI: {{bmi}} /min</span>
                        <span class="mx-1">o2sat: {{o2sat}} /min</span>
                        <span class="mx-1">eye_score: {{eye_score}} /min</span>
                        <span class="mx-1">gcs_score: {{gcs_score}} /min</span>
                    </div>

                    <hr>
                    <div class="w-full">
                        <span class="font-bold">ประวัติการได้ยา: </span><br>
                        <button mat-icon-button (click)="change_layout()" class="mr-2 bg-rose-300">
                            <mat-icon *ngIf="!is_admit" class="text-white"
                                svgIcon="heroicons_solid:clipboard-document-list"></mat-icon>
                            <mat-icon *ngIf="is_admit" class="text-white"
                                svgIcon="heroicons_solid:view-columns"></mat-icon>
                        </button>

                    </div>
                    <hr>
                    <div class="w-full">

                        <div class="flex-col w-full mt-2 px-1">
                            <div class="font-bold text-lg">ประวัติแพ้ยา</div>
                            <div *ngFor="let a of detail.allergy">
                                <div class="flex flex-row">
                                    <div class="w-1/4">{{a.name}}</div>
                                    <div class="w-1/2">{{a.symptom}}</div>
                                    <div class="w-1/4">{{a.level}}</div>
                                </div>
                                <hr>
                            </div>
                        </div>
                    </div>

                </div> -->
                <!-- end infomation -->
                <!-- Treatment info-->
                <!-- <div class="lg:w-2/3 md:w-1/2 sm:w-full max-h-screen overflow-y-auto">

                    <div class="flex-col w-full mt-2 px-1">
                        <div class="bg-teal-200">
                            <span class="pl-4 text-lg font-bold">Diagnosis: </span>
                        </div>
                        <div *ngFor="let d of diagnosis">
                            <div class="flex flex-row">
                                <div class="w-1/4 pl-4">{{d.icd_code}}</div>
                                <div class="w-1/2 pl-4">{{d.icd_name}}</div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="!is_admit" class="w-full">
                        <div class="flex flex-col w-full mt-2 px-1">
                            <div class="bg-teal-200">
                                <span class="pl-4 text-lg font-bold">ข้อมูลยา: </span>
                            </div>
                            <div class="flex flex-row bg-green-100 p-1">
                                <div class="w-1/8 pl-4 font-bold">วันเวลา</div>
                                <div class="w-1/4 font-bold">รายการยา</div>
                                <div class="w-1/2 font-bold">วิธีใช้</div>
                                <div class="w-1/8 font-bold">จำนวน</div>
                            </div>
                            <div *ngFor="let rx of drugs">
                                <div class="flex flex-row">
                                    <div class="w-1/8 pl-2">{{rx.date_serv}} {{rx.time_serv}}</div>
                                    <div class="w-1/4 ">{{rx.drug_name}}</div>
                                    <div class="w-1/2">{{rx.drug_usage}}</div>
                                    <div class="w-1/8">{{rx.qty}}</div>
                                </div>
                            </div>
                        </div>

                        <div class="flex flex-col w-full  mt-2 px-1">
                            <div class="bg-teal-200">
                                <span class="pl-4 text-lg font-bold">ข้อมูลผลการตรวจห้องปฏิบัติการ: </span>
                            </div>
                            <div class="flex flex-row  bg-yellow-100 p-1">
                                <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                <div class="w-1/4 font-bold">รายการ</div>
                                <div class="w-1/4 font-bold">ผล</div>
                                <div class="w-1/4 font-bold">Normal</div>
                            </div>
                            <div *ngFor="let l of labs">
                                <div class="flex flex-row">
                                    <div class="w-1/4 pl-2">{{l.date_serv}} {{l.time_serv}}</div>
                                    <div class="w-1/4">{{l.lab_name}}</div>
                                    <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                    <div class="w-1/4">{{l.standard_result}}</div>
                                </div>
                            </div>
                        </div>

                        <div class="flex-col w-full mt-2 px-1">
                            <div class="bg-teal-200">
                                <span class="pl-4 text-lg font-bold">ข้อมูลการตรวจรังสี: </span>
                            </div>
                            <div class="flex flex-row  bg-blue-200 p-1">
                                <div class="w-1/2 pl-4">วันที่</div>
                                <div class="w-1/2">รายการ</div>
                            </div>
                            <div *ngFor="let x of xrays">
                                <div class="flex flex-row">
                                    <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                    <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                </div>
                            </div>
                        </div>

                        <div class="flex flex-col w-full mt-2 px-1">
                            <div class="bg-teal-200">
                                <span class="pl-4 text-lg font-bold">ข้อมูลหัตถการ: </span>
                            </div>
                            <div class="flex flex-row  bg-blue-200 p-1">
                                <div class="w-1/4 pl-4">วันเวลา</div>
                                <div class="w-1/4">รหัส</div>
                                <div class="w-1/2">รายการ</div>
                            </div>
                            <div *ngFor="let p of procedures">
                                <div class="flex flex-row">
                                    <div class="w-1/4">{{p.start_date}} {{p.start_time}}</div>
                                    <div class="w-1/4">{{p.procedure_code}}</div>
                                    <div class="w-1/2">{{p.procedure_name}}</div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="is_admit" class="w-full">
                        <mat-tab-group class="sm:px-2" mat-stretch-tabs="false" [animationDuration]="'0'">
                            <mat-tab label="ยา">
                                <div class="flex flex-col w-full">
                                    <div class="flex flex-row bg-green-100 p-1">
                                        <div class="w-1/4 pl-4 font-bold">วัน</div>
                                        <div class="w-1/4 pl-4 font-bold">เวลา</div>
                                        <div class="w-1/4 pl-4 font-bold">รายการยา</div>
                                        <div class="w-1/2 font-bold">วิธีใช้</div>
                                        <div class="w-1/4 font-bold">จำนวน</div>
                                    </div>
                                    <div *ngFor="let rx of drugs">
                                        <div class="flex flex-row">
                                            <div class="w-1/4 pl-2">{{rx.date_serv}}</div>
                                            <div class="w-1/2">{{rx.time_serv}}</div>
                                            <div class="w-1/4 pl-2">{{rx.drug_name}}</div>
                                            <div class="w-1/2">{{rx.drug_usage}}</div>
                                            <div class="w-1/4">{{rx.qty}}</div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="Lab">
                                <div class="flex flex-col w-full">
                                    <div class="flex flex-row  bg-yellow-100 p-1">
                                        <div class="w-1/4 font-bold">วันที่</div>
                                        <div class="w-1/4 font-bold">เวลา</div>
                                        <div class="w-1/4 font-bold">รายการ</div>
                                        <div class="w-1/4 font-bold">ผล</div>
                                        <div class="w-1/4 font-bold">Normal</div>
                                    </div>
                                    <div *ngFor="let l of labs">
                                        <div class="flex flex-row">
                                            <div class="w-1/4">{{l.date_serv}}</div>
                                            <div class="w-1/4">{{l.time_serv}}</div>
                                            <div class="w-1/4">{{l.lab_name}}</div>
                                            <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                            <div class="w-1/4">{{l.standard_result}}</div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="หัตถการ">
                                <div class="flex flex-col w-full">
                                    <div class="flex flex-row  bg-blue-200 p-1">
                                        <div class="w-1/2">วันที่</div>
                                        <div class="w-1/2">เวลา</div>
                                        <div class="w-1/2">รหัส</div>
                                        <div class="w-1/2">รายการ</div>
                                    </div>
                                    <div *ngFor="let p of procedures">
                                        <div class="flex flex-row">
                                            <div class="w-1/2">{{p.start_date}}</div>
                                            <div class="w-1/2">{{p.start_time}}</div>
                                            <div class="w-1/2">{{p.procedure_code}}</div>
                                            <div class="w-1/2">{{p.procedure_name}}</div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="X-Ray">
                                <div class="flex-col w-full mt-2 px-1">
                                    <div class="flex flex-row  bg-blue-200 p-1">
                                        <div class="w-1/2">วันที่</div>
                                        <div class="w-1/2">รายการ</div>
                                    </div>
                                    <div *ngFor="let x of xrays">
                                        <div class="flex flex-row">
                                            <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                            <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>

                        </mat-tab-group>
                    </div>
                </div> -->
            <!-- </div> -->
        </div>
    </div>

</div>